XChat 2.8.9 released

Discussion about the official XChat for Windows.

XChat 2.8.9 released

Postby peterz » 28 Aug 2010 09:12

Download: http://xchat.org/files/binary/win32/xchat-2.8.9.exe

MD5SUM: 0c592fa258088f7ccef673b91182ef28 xchat-2.8.9.exe

News for 2.8.9 (28/Aug/2010)
* The balloon time is now adjustable via /set input_balloon_time <seconds>.
* The /Ghost command's password parameter is now optional.
* Updated the default IRC network list with various additions.
* When switching tabs, made the treeview only scroll if the selected item isn't visible.
* The Search/Find window can now be closed with the ESC key.
* Selecting an item in the nickmenu will now copy it to clipboard.
* New icons for notification area (systray).
* For the auto-join command, added an 'x' filler for empty keys. This works around a bug in ircd-seven.
* Lifted a limitation which only allowed the auto-join list to be 255 characters long.
* When a single channel-MODE changes, xchat will no longer re-issue a MODE request for the titlebar display, but figure the new modes intelligently.
* A favorite networks feature has been added to the network list.
* Various text event changes:
o Added "Private Action", "Private Action to Dialog", "SSL Message".
o Added "Identified text" parameter all the 'action' events.
o Added a $3 parameter to "Server Text".
* Plugin API changes:
o Added 'gtkwin_ptr' to xchat_get_info.
o Added DCC fields 'poshigh' and 'resumehigh'.
User avatar
peterz
 
Posts: 1035
Joined: 09 Jun 2004 13:51
Location: Australia

Postby tomek » 28 Aug 2010 22:32

yay, it works fine but i noticed that even if you uncheck perl 5.12 plugin installation installer still replaces the old one
User avatar
tomek
 
Posts: 34
Joined: 07 May 2007 14:12

Postby PennStater » 31 Aug 2010 01:57

Woah! An update after being without one for over a year... nice! 8)

I like the server list favorites a lot. In the past, I kept all of my favorite networks at the bottom of the server list (out of alphabetical order) so that they were all together.
PennStater
 
Posts: 36
Joined: 08 Jan 2005 07:54
Location: Pittsburgh, PA

Re: XChat 2.8.9 released

Postby nob0dy » 03 Sep 2010 15:36

well nothing major

but i liked old 'notification icon' better :)
nob0dy
 
Posts: 194
Joined: 06 Nov 2005 14:29

Re: XChat 2.8.9 released

Postby asdfkghjkl » 03 Oct 2010 21:42

Upon launching, I got a message saying I needed to have Perl 5.12 installed, and that it found 5.10, which is too old. So I installed 5.12. Then I got a message saying it couldn't find perl510.dll. I've tried having only 5.12 installed, only 5.10 installed, and both installed at the same time. In every instance, I get an error or crash...

For now I've just removed xperl.dll from the plugins directory. That's not a solution though. I'd like to be able to use my scripts again.
asdfkghjkl
 
Posts: 9
Joined: 01 May 2008 10:18

Re: XChat 2.8.9 released

Postby Khisanth » 04 Oct 2010 18:18

asdfkghjkl wrote:Upon launching, I got a message saying I needed to have Perl 5.12 installed, and that it found 5.10, which is too old. So I installed 5.12. Then I got a message saying it couldn't find perl510.dll. I've tried having only 5.12 installed, only 5.10 installed, and both installed at the same time. In every instance, I get an error or crash...

For now I've just removed xperl.dll from the plugins directory. That's not a solution though. I'd like to be able to use my scripts again.


You can grab which ever version applies to you at http://lwsitu.com/xchat/?filter=xcperl
Khisanth
 
Posts: 1724
Joined: 10 Jun 2004 05:23

Re: XChat 2.8.9 released

Postby asdfkghjkl » 05 Oct 2010 19:17

Khisanth wrote:
asdfkghjkl wrote:Upon launching, I got a message saying I needed to have Perl 5.12 installed, and that it found 5.10, which is too old. So I installed 5.12. Then I got a message saying it couldn't find perl510.dll. I've tried having only 5.12 installed, only 5.10 installed, and both installed at the same time. In every instance, I get an error or crash...

For now I've just removed xperl.dll from the plugins directory. That's not a solution though. I'd like to be able to use my scripts again.


You can grab which ever version applies to you at http://lwsitu.com/xchat/?filter=xcperl


Thank you for the link. Unfortunately my two choices for ActivePerl are 5.10.1.1007 and 5.12.2.1202. I've tried both the xcperl5.12.1.dll (with 5.12.2.1202 installed) and xcperl5.10.1.dll (with 5.10.1.1007 installed). With 5.12.1 I get an error asking for the 5.10 dll and with 5.10.1 xchat just immediately crashes. So frustrating. What are the strawberry versions? I've never had a problem with Perl until 2.8.9...
asdfkghjkl
 
Posts: 9
Joined: 01 May 2008 10:18

Re: XChat 2.8.9 released

Postby Khisanth » 07 Oct 2010 19:33

That sounds like you still have the old DLL around.
Khisanth
 
Posts: 1724
Joined: 10 Jun 2004 05:23

Re: XChat 2.8.9 released

Postby asdfkghjkl » 10 Oct 2010 05:23

Khisanth wrote:That sounds like you still have the old DLL around.

I just ran a search on my entire hard drive and all I found was perl512.dll. This is driving me nuts.
asdfkghjkl
 
Posts: 9
Joined: 01 May 2008 10:18

Re: XChat 2.8.9 released

Postby LifeIsPain » 10 Oct 2010 13:39

If for some reason you have the old xcperl.dll on your computer, this behavior may be happening. Also make sure that the ActivePerl you have is 32 bit (although it shouldn't load if it isn't 32 bit).

Then continue by removing your perl scripts from the XChat profile directory temporarily and try launching it that way. If it doesn't crash, load one of the scripts manually. If it does crash, restart and load one of your other scripts. If it doesn't crash, continue on loading until it does crash (or doesn't) then report the results with specifics on which script it crashed on.
User avatar
LifeIsPain
 
Posts: 522
Joined: 25 Aug 2005 06:36

Re: XChat 2.8.9 released

Postby Khisanth » 11 Oct 2010 23:03

asdfkghjkl wrote:
Khisanth wrote:That sounds like you still have the old DLL around.

I just ran a search on my entire hard drive and all I found was perl512.dll. This is driving me nuts.


That is referting to the xcperl DLLs NOT any of the perl5xx.dll.
Khisanth
 
Posts: 1724
Joined: 10 Jun 2004 05:23

Re: XChat 2.8.9 released

Postby asdfkghjkl » 17 Oct 2010 06:41

Khisanth wrote:
asdfkghjkl wrote:
Khisanth wrote:That sounds like you still have the old DLL around.

I just ran a search on my entire hard drive and all I found was perl512.dll. This is driving me nuts.


That is referting to the xcperl DLLs NOT any of the perl5xx.dll.


Yeah, I searched for both. Nada. Thanks for the advice, though. Below is how I finally resolved the problem.

LifeIsPain wrote:If for some reason you have the old xcperl.dll on your computer, this behavior may be happening. Also make sure that the ActivePerl you have is 32 bit (although it shouldn't load if it isn't 32 bit).

Then continue by removing your perl scripts from the XChat profile directory temporarily and try launching it that way. If it doesn't crash, load one of the scripts manually. If it does crash, restart and load one of your other scripts. If it doesn't crash, continue on loading until it does crash (or doesn't) then report the results with specifics on which script it crashed on.


It was rainbow.pl, Uberscript.pl and wp.pl, and... every script I have. I've had most of them for 4-5 years, so they're probably outdated. Unfortunately it doesn't look like the authors of the scripts I have do any updating anymore. Oh well :( Such is the consequence of progress.

Update: even scripts written last week cause xchat to ask for Perl510.dll and crash.
asdfkghjkl
 
Posts: 9
Joined: 01 May 2008 10:18

Re: XChat 2.8.9 released

Postby nomadjim » 08 Mar 2011 20:00

Are all of the bugs out of 2.8.9 now?
nomadjim
 
Posts: 1
Joined: 08 Mar 2011 19:51

Re: XChat 2.8.9 released

Postby kirbyharris » 18 Mar 2011 23:36

nomadjim wrote:Are all of the bugs out of 2.8.9 now?


Pretty sure, but if you find any issues make sure you log it
kirbyharris
 
Posts: 1
Joined: 18 Mar 2011 23:32

Re: XChat 2.8.9 released

Postby Khisanth » 05 Aug 2011 18:50

There is already code in SVN for using http://code.google.com/p/libproxy/
Khisanth
 
Posts: 1724
Joined: 10 Jun 2004 05:23

Next

Return to XChat for Windows

Who is online

Users browsing this forum: No registered users and 0 guests